Skip to main content
POST
/
api
/
v1
/
worker-queues
/
{queue_id}
/
start
Start Worker For Queue
curl --request POST \
  --url https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://control-plane.kubiya.ai/api/v1/worker-queues/{queue_id}/start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "worker_id": "<string>",
  "task_queue_name": "<string>",
  "temporal_namespace": "<string>",
  "temporal_host": "<string>",
  "temporal_api_key": "<string>",
  "organization_id": "<string>",
  "control_plane_url": "<string>",
  "heartbeat_interval": 123,
  "litellm_api_url": "<string>",
  "litellm_api_key": "<string>",
  "queue_name": "<string>",
  "environment_name": "<string>",
  "queue_id": "<string>",
  "control_plane_sdk_version": "<string>",
  "queue_ephemeral": false,
  "queue_single_execution": false,
  "redis_url": "<string>",
  "redis_password": "<string>",
  "redis_enabled": false,
  "websocket_enabled": true,
  "websocket_url": "<string>",
  "websocket_features": [
    "<string>"
  ],
  "nats_config": {}
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Enter your Kubiya API token (format: Bearer )

Path Parameters

queue_id
string
required

Body

application/json

Worker start request with SDK version and system info

worker_sdk_version
string | null
system_info
WorkerSystemInfo · object | null

Worker system information

control_plane_url
string | null

Response

Successful Response

Worker start configuration

worker_id
string
required
task_queue_name
string
required
temporal_namespace
string
required
temporal_host
string
required
temporal_api_key
string
required
organization_id
string
required
control_plane_url
string
required
heartbeat_interval
integer
required
litellm_api_url
string
required
litellm_api_key
string
required
queue_name
string
required
environment_name
string
required
queue_id
string
required
control_plane_sdk_version
string
required
queue_ephemeral
boolean
default:false
queue_single_execution
boolean
default:false
redis_url
string | null
redis_password
string | null
redis_enabled
boolean
default:false
websocket_enabled
boolean
default:true
websocket_url
string | null
websocket_features
string[]
nats_config
Nats Config · object | null